X2Go Bug report logs - #491
x2gobroker-ssh: temporary public keys do not get removed from ~/.x2go/authorized_keys

version graph

Package: x2gobroker-ssh; Maintainer for x2gobroker-ssh is X2Go Developers <x2go-dev@lists.x2go.org>; Source for x2gobroker-ssh is src:x2gobroker.

Reported by: Mike Gabriel <mike.gabriel@das-netzwerkteam.de>

Date: Thu, 8 May 2014 15:30:01 UTC

Severity: important

Tags: pending

Found in version 0.0.3.0-preview

Fixed in version 0.0.3.0

Done: X2Go Release Manager <git-admin@x2go.org>

Bug is archived. No further changes may be made.

Full log


Message #14 received at control@bugs.x2go.org (full text, mbox, reply):

Received: (at control) by bugs.x2go.org; 2 Apr 2015 04:13:32 +0000
From x2go@ymir.das-netzwerkteam.de  Thu Apr  2 06:13:23 2015
X-Spam-Checker-Version: SpamAssassin 3.3.2 (2011-06-06) on
	ymir.das-netzwerkteam.de
X-Spam-Level: 
X-Spam-Status: No, score=-1.9 required=5.0 tests=BAYES_00,NO_RELAYS,
	URIBL_BLOCKED autolearn=unavailable version=3.3.2
Received: by ymir.das-netzwerkteam.de (Postfix, from userid 1005)
	id 437E45DAD2; Thu,  2 Apr 2015 06:13:22 +0200 (CEST)
From: Mike Gabriel <mike.gabriel@das-netzwerkteam.de>
To: 491-submitter@bugs.x2go.org
Cc: control@bugs.x2go.org, 491@bugs.x2go.org
Subject: X2Go issue (in src:x2gobroker) has been marked as pending for release
Content-Type: text/plain; charset=utf-8
Content-Disposition: inline
Content-Transfer-Encoding: 8bit
X-Mailer: http://snipr.com/post-receive-tag-pending
Message-Id: <20150402041323.437E45DAD2@ymir.das-netzwerkteam.de>
Date: Thu,  2 Apr 2015 06:13:22 +0200 (CEST)
tag #491 pending
fixed #491 0.0.3.0
thanks

Hello,

X2Go issue #491 (src:x2gobroker) reported by you has been
fixed in X2Go Git. You can see the changelog below, and you can
check the diff of the fix at:

    http://code.x2go.org/gitweb?p=x2gobroker.git;a=commitdiff;h=f74b487

The issue will most likely be fixed in src:x2gobroker (0.0.3.0).

light+love
X2Go Git Admin (on behalf of the sender of this mail)

---
commit f74b48714caedc16767d543c104e14ed5195aa85
Author: Mike Gabriel <mike.gabriel@das-netzwerkteam.de>
Date:   Thu Apr 2 06:11:59 2015 +0200

    agent.py: Use os.fork() instead of threading.Thread() to handle  delayed executions of broker agent tasks. This assures that SSH pub keys are removed via the delauthkey broker agent task, if the SSH broker is used. (Fixes: #491).

diff --git a/debian/changelog b/debian/changelog
index 37715fb..b826a6d 100644
--- a/debian/changelog
+++ b/debian/changelog
@@ -304,6 +304,10 @@ x2gobroker (0.0.3.0-0x2go1) UNRELEASED; urgency=low
       further possible substitutions for deriving the full path of the
       authorized_keys file where X2Go Broker Agent's deploys public SSH user
       keys to. (Fixes: #665).
+    - agent.py: Use os.fork() instead of threading.Thread() to handle 
+      delayed executions of broker agent tasks. This assures that SSH pub keys
+      are removed via the delauthkey broker agent task, if the SSH broker
+      is used. (Fixes: #491).
   * debian/control:
     + Provide separate bin:package for SSH brokerage: x2gobroker-ssh.
     + Replace LDAP support with session brokerage support in LONG_DESCRIPTION.


Send a report that this bug log contains spam.


X2Go Developers <owner@bugs.x2go.org>. Last modified: Tue Jul 5 09:35:21 2022; Machine Name: ymir.das-netzwerkteam.de

X2Go Bug tracking system

Debbugs is free software and licensed under the terms of the GNU Public License version 2. The current version can be obtained from https://bugs.debian.org/debbugs-source/.

Copyright © 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson, 2005-2017 Don Armstrong, and many other contributors.